import React from "react";
import { KeyBackupInfo } from "matrix-js-sdk/src/crypto-api";
interface IProps {
    newVersionInfo: KeyBackupInfo;
    onFinished(): void;
}
export default class NewRecoveryMethodDialog extends React.PureComponent<IProps> {
    private onOkClick;
    private onGoToSettingsClick;
    private onSetupClick;
    render(): React.ReactNode;
}
export {};
